curl -X DELETE https://zeplo.ai/api/automations/1 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"message": "Automation deleted successfully"
}
Automations
DELETE Delete Automation
Delete an automation workflow.
DELETE
/
api
/
automations
/
:id
curl -X DELETE https://zeplo.ai/api/automations/1 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"message": "Automation deleted successfully"
}
Delete automation
DELETE /api/automations/:id
Permanently delete an automation workflow.
Headers
string
required
Session cookie (login via POST /api/auth/login)
Path parameters
integer
required
Automation ID.
curl -X DELETE https://zeplo.ai/api/automations/1 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"message": "Automation deleted successfully"
}
Deleting an automation removes all associated nodes, edges, and execution history. This action is irreversible.
